# TdApi.InputPassportElementErrorSourceFrontSide (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputPassportElementErrorSourceFrontSide

Package it.tdlight.jni

# Class TdApi.InputPassportElementErrorSourceFrontSide

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputPassportElementErrorSource
it.tdlight.jni.TdApi.InputPassportElementErrorSourceFrontSide

Enclosing class:
  TdApi

    public static class TdApi.InputPassportElementErrorSourceFrontSide
    extends TdApi.InputPassportElementErrorSource

The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`byte[]` | `fileHash` | Current hash of the file containing the front side.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputPassportElementErrorSourceFrontSide()` | The front side of the document contains an error.
`InputPassportElementErrorSourceFrontSide​(byte[] fileHash)` | The front side of the document contains an error.
`InputPassportElementErrorSourceFrontSide​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileHash

public byte[] fileHash
Current hash of the file containing the front side.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputPassportElementErrorSourceFrontSide

public InputPassportElementErrorSourceFrontSide()
The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.

### InputPassportElementErrorSourceFrontSide

public InputPassportElementErrorSourceFrontSide​(byte[] fileHash)
The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.

Parameters:
  `fileHash` - byte[] Current hash of the file containing the front side.

### InputPassportElementErrorSourceFrontSide

public InputPassportElementErrorSourceFrontSide​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`